# org.newdawn.slick.util.xml (Slick - The 2D Library)
Date: 2013-06-03

## Package org.newdawn.slick.util.xml

Some utilities for reading XML using Java DOM and for mapping XML onto existing data models

See:
Description

Class Summary
ObjectTreeParser: Provides a method of parsing XML into an existing data model.
XMLElement: A utility wrapper round the standard DOM XML element.
XMLElementList: A simple typed list.
XMLParser: A simple utility wrapper around the Java DOM implementation to hopefully make XML parsing that bit easier without requiring YAL.

Exception Summary
SlickXMLException: An exception to describe failures in XML.

## Package org.newdawn.slick.util.xml Description

Some utilities for reading XML using Java DOM and for mapping XML onto existing data models

Copyright © 2006 New Dawn Software. All Rights Reserved.